/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sommer2016fs;

import java.io.FileNotFoundException;
import java.io.FileReader;
import java.util.Scanner;

/**
 *
 * @author structix
 */
public class Sommer2016FS {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        try {
            FileReader reader = new FileReader("LogSkipass.txt");
            Scanner datei = new Scanner(reader);
            
            //Zaehler initialisieren
            int liftlaengesumme = 0;
            
            //Schleife ausführen, solange es eine nächste Zeile im Dokument gibt
            while (datei.hasNextLine()) {
                
                //Zeile aus Dokument lesen
                String zeile = datei.nextLine();
                
                //Zeile nach | Zeichen in ein Array aufteilen
                //Erklärung des Split Strings \\| :
                //Da | ein Steuerzeichen ist (Bitweise oder) muss dieses
                //escaped werden mit einem \ . Da \ in einem
                //Java String eine Escape-Sequenz einleitet,
                //muss das Zeichen selbst escaped werden mit einem
                //weiteren \ .
                String[] zeileSplit = zeile.split("\\|");
                
                //Jan 09 2016|09:15:17|30201|1|SL02|650
                //Drittes Element (Pass Nummer vergleichen)
                if (zeileSplit[2].equals("30201")) {
                    
                    //Hier werden die Liftlaengen summiert
                    //Die Zahl (im String Format) muss in einen Integer
                    //gewandelt werden
                    liftlaengesumme += Integer.valueOf(zeileSplit[5]);
                }
            }
            
            //Ausgabe der Summe:
            System.out.println("Summierte Liftlaenge fuer Pass 30201: " + liftlaengesumme);
        
        } catch (FileNotFoundException e) {
            
        }
    }
    
}
